
From: Jeff Dike <jdike@addtoit.com>

This adds architecture-specific Kconfig support, plus Kconfig_i386 and
Kconfig_x86_64.  Currently the only option defined there is CONFIG_64_BIT.

Signed-off-by: Jeff Dike <jdike@addtoit.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/um/Kconfig_i386   |    3 +++
 25-akpm/arch/um/Kconfig_x86_64 |    7 +++++++
 25-akpm/arch/um/Makefile       |    2 ++
 3 files changed, 12 insertions(+)

diff -puN arch/um/Kconfig_i386~uml-x86-64-config-support arch/um/Kconfig_i386
--- 25/arch/um/Kconfig_i386~uml-x86-64-config-support	2005-01-09 23:44:05.114385984 -0800
+++ 25-akpm/arch/um/Kconfig_i386	2005-01-09 23:44:05.120385072 -0800
@@ -1,3 +1,6 @@
+config 64_BIT
+	bool
+	default n
 config 3_LEVEL_PGTABLES
 	bool "Three-level pagetables"
 	default n
diff -puN arch/um/Kconfig_x86_64~uml-x86-64-config-support arch/um/Kconfig_x86_64
--- 25/arch/um/Kconfig_x86_64~uml-x86-64-config-support	2005-01-09 23:44:05.115385832 -0800
+++ 25-akpm/arch/um/Kconfig_x86_64	2005-01-09 23:44:05.120385072 -0800
@@ -0,0 +1,7 @@
+config 64_BIT
+	bool
+	default y
+
+config 3_LEVEL_PGTABLES
+       bool
+       default y
diff -puN arch/um/Makefile~uml-x86-64-config-support arch/um/Makefile
--- 25/arch/um/Makefile~uml-x86-64-config-support	2005-01-09 23:44:05.116385680 -0800
+++ 25-akpm/arch/um/Makefile	2005-01-09 23:44:05.121384920 -0800
@@ -79,6 +79,8 @@ define archhelp
   echo '		   find in the kernel root.'
 endef
 
+$(shell cd $(ARCH_DIR) && ln -sf Kconfig_$(SUBARCH) Kconfig_arch)
+
 prepare: $(ARCH_SYMLINKS) $(SYS_HEADERS) $(GEN_HEADERS) \
 	$(ARCH_DIR)/kernel/vmlinux.lds.S
 
_
